import { __assign, __rest } from "tslib";
import React, { useMemo } from 'react';
import IconBase from './IconBase';
function Icon(props) {
    var _a = props || {}, 
    // @ts-ignore
    component = _a.component, 
    // @ts-ignore
    symbolId = _a.symbolId, restProps = __rest(_a, ["component", "symbolId"]);
    var child = useMemo(function () {
        if (component) {
            return component;
        }
        if (symbolId) {
            return (React.createElement("svg", { width: "1em", height: "1em", fill: "currentColor" },
                React.createElement("use", { xlinkHref: "#".concat(symbolId) })));
        }
        return null;
    }, [component, symbolId]);
    return React.createElement(IconBase, __assign({}, restProps), child);
}
export default Icon;
