"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var IconBase_1 = tslib_1.__importDefault(require("../icon/IconBase"));
var PersonBadge = (0, react_1.forwardRef)(function (_a, ref) {
    var svgProps = _a.svgProps, restProps = tslib_1.__rest(_a, ["svgProps"]);
    return (react_1.default.createElement(IconBase_1.default, tslib_1.__assign({ "aria-label": "person-badge" }, restProps, { ref: ref }),
        react_1.default.createElement("svg", tslib_1.__assign({ xmlns: "http://www.w3.org/2000/svg", width: "1em", height: "1em", fill: "currentColor", viewBox: "0 0 16 16" }, svgProps),
            react_1.default.createElement("path", { d: "M6.5 2a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1zM11 8a3 3 0 1 1-6 0 3 3 0 0 1 6 0" }),
            react_1.default.createElement("path", { d: "M4.5 0A2.5 2.5 0 0 0 2 2.5V14a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V2.5A2.5 2.5 0 0 0 11.5 0zM3 2.5A1.5 1.5 0 0 1 4.5 1h7A1.5 1.5 0 0 1 13 2.5v10.795a4.2 4.2 0 0 0-.776-.492C11.392 12.387 10.063 12 8 12s-3.392.387-4.224.803a4.2 4.2 0 0 0-.776.492z" }))));
});
PersonBadge.displayName = 'PersonBadge';
exports.default = PersonBadge;
